package com.persagy.apm.alarmservice.group.alarmrecord.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang.StringUtils;

/**
 * 报警列表类型
 *
 **/
@AllArgsConstructor
public enum EnumAlarmListType {
    /**
     * 报警列表类型
     */
    CURRENT("1", "当前报警"),
    HISTORY("2", "历史报警"),
    IGNORE("3", "已忽略");

    @Setter
    @Getter
    private String type;

    @Setter
    @Getter
    private String desc;

    public static EnumAlarmListType getByType(String type) {
        if (StringUtils.isBlank(type)) {
            return null;
        }
        EnumAlarmListType[] enums = EnumAlarmListType.values();
        for (EnumAlarmListType item : enums) {
            if (type.equals(item.getType())) {
                return item;
            }
        }
        return null;
    }
}
