package com.persagy.apm.alarmservice.group.alarmrecord.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.alarmservice.project.alarmcondition.model.vo.AlarmConditionStrItem;
import com.persagy.apm.common.model.vo.SimpleObjVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 查询报警记录DTO
 *
 * @author lixing
 * @version V1.0 2021/9/11 2:31 下午
 **/
@Data
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AlarmRecordItemVO {
    @ApiModelProperty(value = "id")
    private String id;
    @ApiModelProperty(value = "分组")
    private SimpleObjVO group;
    @ApiModelProperty(value = "设备")
    private SimpleObjVO obj;
    @ApiModelProperty(value = "报警类型")
    private SimpleObjVO alarmItem;
    @ApiModelProperty(value = "报警触发时间")
    private Date triggerTime;
    @ApiModelProperty(value = "报警结束时间")
    private Date endTime;
    @ApiModelProperty(value = "报警持续时长")
    private String duration;
    @ApiModelProperty(value = "报警等级")
    private SimpleObjVO alarmLevel;
    @ApiModelProperty(value = "报警状态")
    private SimpleObjVO alarmState;
    @ApiModelProperty(value = "报警处理状态")
    private SimpleObjVO alarmTreatState;
    @ApiModelProperty(value = "报警处理方式")
    private SimpleObjVO alarmTreatMode;
    @ApiModelProperty(value = "报警条件")
    private AlarmConditionStrItem alarmCondition;
    @ApiModelProperty(value = "近30天报警触发次数")
    private Integer alarmCountInMonth;
    @ApiModelProperty(value = "忽略报警时间")
    private Date ignoreTime;
    @ApiModelProperty(value = "报警处理完成时间")
    private Date treatEndTime;
}
