package com.persagy.apm.alarmservice.group.management.controller;

import com.persagy.apm.alarmservice.group.management.model.group.vo.GroupInfoVO;
import com.persagy.apm.alarmservice.group.management.model.group.vo.GroupTreeVO;
import com.persagy.apm.alarmservice.group.management.service.GroupManagementService;
import com.persagy.apm.common.response.CommonResult;
import com.persagy.apm.common.response.PageList;
import com.persagy.apm.common.utils.ResultHelper;
import com.persagy.apm.alarmservice.group.management.model.equip.dto.EquipIdDTO;
import com.persagy.apm.alarmservice.group.management.model.equip.dto.QueryEquipDTO;
import com.persagy.apm.alarmservice.group.management.model.equip.vo.EquipListItem;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

import static com.persagy.apm.alarmservice.group.management.service.impl.GroupManagementServiceImpl.getGroupTree;

/**
 * @author 易涛
 * @version 1.0
 * @date 2021/9/7 18:09
 */
@Api(tags = "分组管理")
@RestController
@RequestMapping("group-management")
public class GroupManagementController {

    @Autowired
    private GroupManagementService managementService;

    @ApiOperation(value = "获取分组树")
    @PostMapping("/eq_groups/tree")
    public CommonResult<List<GroupTreeVO>> queryGroupTree(){
        return ResultHelper.single(getGroupTree());
    }

//    @ApiOperation(value = "获取分组信息")
//    @PostMapping("/eq_groups/get")
//    public CommonResult<GroupInfoVO> queryTreeById(@Valid @RequestBody EquipIdDTO equipIdDTO){
//        return ResultHelper.single(managementService.getGroup(equipIdDTO.getId()));
//    }
//
//    @ApiOperation(value = "分组条件（设备类+查询条件）+项目 获取设备  加上分页和根据设备名称查询")
//    @PostMapping("/equips/query")
//    public CommonResult<PageList<EquipListItem>> equipsQuery(@Valid @RequestBody QueryEquipDTO managementDTO){
//        PageList<EquipListItem> pageList = managementService.equipsQuery(managementDTO);
//        return ResultHelper.multi(pageList.getRecords(),pageList.getTotal());
//    }
//
//    @ApiOperation(value = "获取设备名称")
//    @PostMapping("/equips/get")
//    public CommonResult<EquipListItem> equipsQuery(@Valid @RequestBody EquipIdDTO equipIdDTO) {
//        return ResultHelper.single(managementService.equipsGet(equipIdDTO.getId()));
//    }

//    @ApiOperation(value = "获取分组名称")
//    @PostMapping("/equipsGroup/query")
//    public CommonResult<List<GroupTreeInfoVO>> equipsGroupQuery(@Valid @RequestBody EquipIdListDTO equipIdListDTO){
//        return ResultHelper.single(managementService.equipsGroupQuery(equipIdListDTO.getEquipIdList())) ;
//    }

    @Scheduled(cron = "0 0 * * * ?")
    public void batchDelete(){
       managementService.batchDelete();
    }
}
