package com.persagy.apm.alarmservice.group.management.model.equip.dto;

import com.persagy.apm.common.model.dto.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author 易涛
 * @version 1.0
 * @date 2021/9/8 16:46
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel("查询设备信息")
@Data
public class QueryEquipDTO extends PageDTO {
    @ApiModelProperty("项目id")
    private String projectId;

    @ApiModelProperty("设备名称")
    private String localName;

    @ApiModelProperty(value = "对象类编码",required = true)
    @NotBlank(message = "对象类编码必传")
    private String classCode;

    @ApiModelProperty(value = "查询条件",required = true)
    @NotBlank(message = "查询条件必传")
    private String condition;
}
