package com.persagy.apm.alarmservice.project.alarmcondition.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import com.persagy.apm.alarmservice.group.calculatemethod.model.dto.CalculateMethodDTO;
import com.persagy.apm.common.model.entity.AuditableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * 报警条件(AlarmCondition)实体类
 *
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "报警条件")
@TableName(autoResultMap = true)
public class AlarmCondition extends AuditableEntity<AlarmCondition> implements Serializable {
    private static final long serialVersionUID = 268657175929005281L;

    @TableField(typeHandler = FastjsonTypeHandler.class)
    @ApiModelProperty("包含的参数")
    private List<String> infoCodes;

    @TableField(typeHandler = FastjsonTypeHandler.class)
    @ApiModelProperty("前端展示")
    private List<List<CalculateMethodDTO>> frontend;

    @TableField(typeHandler = FastjsonTypeHandler.class)
    @ApiModelProperty("后端使用")
    private String backend;

    @ApiModelProperty("触发时长")
    private Integer triggerUphold;

    @ApiModelProperty("报警等级")
    private String alarmLevel;


    public static String PROP_INFO_CODES = "info_codes";
    public static String PROP_FRONTEND = "frontend";
    public static String PROP_BACKEND = "backend";
    public static String PROP_TRIGGER_UPHOLD = "trigger_uphold";
    public static String PROP_ALARM_LEVEL = "alarm_level";

}
