package com.persagy.apm.alarmservice.project.alarmcondition.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.apm.alarmservice.group.calculatemethod.model.dto.CalculateMethodDTO;
import com.persagy.apm.alarmservice.project.alarmcondition.model.AlarmCondition;
import com.persagy.apm.alarmservice.project.alarmcondition.model.dto.*;
import com.persagy.apm.common.response.CommonResult;

import java.util.List;
import java.util.Map;

/**
 * 报警条件(AlarmCondition) service接口
 *
 * @author lixing
 * @version V1.0 2021-09-08 22:30:38
 */
public interface IAlarmConditionService  {
    
    /**
    * 创建报警条件
    *
    * @param addAlarmConditionDTO addDTO
    * @return 报警条件主键
    * @author lixing
    * @version V1.0 2021-09-08 22:30:38
    */
    public Map<String, Object> createAlarmCondition(AddAlarmConditionDTO addAlarmConditionDTO);
    
    /**
    * 报警条件详情
    *
    * @param id 主键
    * @return 报警条件do对象
    * @author lixing
    * @version V1.0 2021-09-08 22:30:38
    */
    public AlarmCondition queryAlarmConditionDetail(String id);
    
    /**
    * 更新报警条件
    *
    * @param updateAlarmConditionDTO updateDTO
    * @author lixing
    * @version V1.0 2021-09-08 22:30:38
    */
    public void updateAlarmCondition(UpdateAlarmConditionDTO updateAlarmConditionDTO);
    
    /**
    * 删除报警条件
    *
    * @param id 主键
    * @author lixing
    * @version V1.0 2021-09-08 22:30:38
    */
    public void deleteAlarmCondition(String id);
    
    /**
    * 查询报警条件
    *
    * @param queryAlarmConditionDTO queryDTO
    * @return List<AlarmCondition>
    * @author lixing
    * @version V1.0 2021-09-08 22:30:38
    */
    public List<AlarmCondition> queryAlarmConditionList(QueryAlarmConditionDTO queryAlarmConditionDTO);
    
    /**
    * 分页查询报警条件
    * 
    * @param pageQueryAlarmConditionDTO pageQueryDTO
    * @return IPage<AlarmCondition>
    * @author lixing
    * @version V1.0 2021-09-08 22:30:38
    */
    public IPage<AlarmCondition> pageQueryAlarmCondition(PageQueryAlarmConditionDTO pageQueryAlarmConditionDTO);

    CommonResult<Boolean> validate(ValidateAlarmConditionDTO formulaString);

    void saveCondition(AlarmCondition alarmCondition);

    Map<String, Object> swtichAlarmCondition(AddAlarmConditionDTO addAlarmConditionDTO);

    Map<String, Object> frontend2Backend(List<List<CalculateMethodDTO>> frontend);

    void updateById(Map<String, Object> conditionMap, UpdateAlarmConditionDTO alarmCondition);
}
