package com.persagy.apm.alarmservice.project.alarmrule.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;
import java.io.Serializable;
import java.util.Date;

/**
 * 项目报警规则(ProjectAlarmRule)实体类
 * @author lixing
 * @version V1.0 2021-09-08 22:46:16
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "项目报警规则")
public class ProjectAlarmRule extends AuditableEntity<ProjectAlarmRule> implements Serializable {
    private static final long serialVersionUID = 563273856588564615L;

    @ApiModelProperty("分组id")
    private String groupId;
    
    @ApiModelProperty("报警类型编码")
    private String alarmItemCode;

    @ApiModelProperty("报警类型名称")
    private String alarmItemName;
    
    @ApiModelProperty("报警条件id")
    private String alarmConditionId;
    
    @ApiModelProperty("所属类型（0项目自定义、1集团标准）")
    private Integer belong;
    
    @ApiModelProperty("项目id")
    private String projectId;
    

    public static String PROP_GROUP_ID = "group_id";
    public static String PROP_ALARM_ITEM_CODE = "alarm_item_code";
    public static String PROP_ALARM_CONDITION_ID = "alarm_condition_id";
    public static String PROP_BELONG = "belong";
    public static String PROP_PROJECT_ID = "project_id";
    public static String PROP_ALARM_ITEM_NAME = "alarm_item_name";

}
